Package com.sun.jna.platform.win32.COM

# Class COMUtils.COMInfo

java.lang.Object
com.sun.jna.platform.win32.COM.COMUtils.COMInfo

Enclosing class:
  COMUtils

public static class COMUtils.COMInfo extends Object
The Class COMInfo.

Author:
  wolf.tobias@gmx.net The Class COMInfo.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `String`
  `clsid`
  The clsid.
  `String`
  `inprocHandler32`
  The inproc handler32.
  `String`
  `inprocServer32`
  The inproc server32.
  `String`
  `localServer32`
  The local server32.
  `String`
  `progID`
  The prog id.
  `String`
  `typeLib`
  The type lib.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `COMInfo()`
  Instantiates a new cOM info.
  `COMInfo(String clsid)`
  Instantiates a new cOM info.

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### clsid

    public String clsid
    The clsid.

  - ### inprocHandler32

    public String inprocHandler32
    The inproc handler32.

  - ### inprocServer32

    public String inprocServer32
    The inproc server32.

  - ### localServer32

    public String localServer32
    The local server32.

  - ### progID

    public String progID
    The prog id.

  - ### typeLib

    public String typeLib
    The type lib.

- ## Constructor Details

  - ### COMInfo

    public COMInfo()
    Instantiates a new cOM info.

  - ### COMInfo

    public COMInfo(String clsid)
    Instantiates a new cOM info.
    Parameters:
      `clsid` - the clsid